<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): /home/mohamed/code/tigl/src/common/api/tiglAPIMessage.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_94a155f7dc2906c9779926ac0a1b29ad.html">api</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglAPIMessage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglMessage_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLMESSAGE_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLMESSAGE_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include  &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"> * Message class</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE = u<span class="keywordtype">int</span>_fast32_t&gt;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classMessage.html">   69</a></span>&#160;<span class="keyword">class </span><a class="code" href="classMessage.html">Message</a> {</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;   <a class="code" href="classMessage.html#a7f00f7cf0526458792330a60979db9f1">Message</a>();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;   <a class="code" href="classMessage.html#a7f00f7cf0526458792330a60979db9f1">Message</a>(ID_TYPE &amp; tx, ID_TYPE &amp; rx, DATA_TYPE &amp; messContent);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;   <a class="code" href="classMessage.html#a7998fabc85b28edae541ca123b293e40">~Message</a>();</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classMessage.html#a38d01ce6162b8e6ecf2dab14f0d72e5b">   77</a></span>&#160;   ID_TYPE <a class="code" href="classMessage.html#a38d01ce6162b8e6ecf2dab14f0d72e5b">sender</a>;</div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classMessage.html#a1e01d44a1fcd11eeeeb2166b8f772708">   79</a></span>&#160;   ID_TYPE <a class="code" href="classMessage.html#a1e01d44a1fcd11eeeeb2166b8f772708">rcvr</a>;</div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classMessage.html#a9f969486b4146319e66d95ebbdbe9dae">   81</a></span>&#160;   DATA_TYPE <a class="code" href="classMessage.html#a9f969486b4146319e66d95ebbdbe9dae">content</a>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;   <span class="keyword">inline</span> ID_TYPE &amp; <a class="code" href="classMessage.html#ac9e7b0ec82d4c408ced91f34e44b3e8d">getSender</a>();</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="keyword">inline</span> ID_TYPE &amp; <a class="code" href="classMessage.html#ac8f4ffba278ab0e5d29820dc82872d6a">getRcvr</a>();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;   <span class="keyword">inline</span> DATA_TYPE &amp; <a class="code" href="classMessage.html#a57f18c305ece6cd53c0c02e08309a546">getContent</a>();</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#a03cd1893fc75256c319cba7d850f0dcd">setMessage</a>(ID_TYPE &amp; tx, ID_TYPE &amp; rx, DATA_TYPE &amp; messContent);</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt;  <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#a03cd1893fc75256c319cba7d850f0dcd">setMessage</a>(CMessages &amp; newMessage);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#ab7355583d37391bd699f3fca47073281">setContent</a>(DATA_TYPE &amp; newContent);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#a3ddf04f2e6372501e0077170387d1723">sumContent</a>(DATA_TYPE &amp; newContent);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt; <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#a436d435e1a8bac5f8e127c3e1f164623">maxContent</a>(CMessages &amp; newMessage);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt; <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classMessage.html#a6356c7503304f26b38f819f64b10fbbb">minContent</a>(CMessages &amp; newMessage);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classMessage.html#a357e66838738d2e656066406920a0262">pack</a>(uint8_t * buf);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classMessage.html#ae23c04781f95e7c740d89861ebbca56d">unpack</a>(uint8_t * buf);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classMessage.html#a2ed0c8d3abb07af98fd67362fffaacec">sizeInBytes</a>();</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;};</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglImplementationMessage_8hpp.html">tiglImplementationMessage.hpp</a>&quot;</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MESSAGE_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classMessage_html_a9f969486b4146319e66d95ebbdbe9dae"><div class="ttname"><a href="classMessage.html#a9f969486b4146319e66d95ebbdbe9dae">Message::content</a></div><div class="ttdeci">DATA_TYPE content</div><div class="ttdef"><b>Definition:</b> tiglAPIMessage.hpp:81</div></div>
<div class="ttc" id="classMessage_html"><div class="ttname"><a href="classMessage.html">Message</a></div><div class="ttdoc">core data message class definition </div><div class="ttdef"><b>Definition:</b> tiglAPIMessage.hpp:69</div></div>
<div class="ttc" id="classMessage_html_a436d435e1a8bac5f8e127c3e1f164623"><div class="ttname"><a href="classMessage.html#a436d435e1a8bac5f8e127c3e1f164623">Message::maxContent</a></div><div class="ttdeci">void maxContent(CMessages &amp;newMessage)</div><div class="ttdoc">copy a new message content if its value is bigger than the current message content ...</div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:185</div></div>
<div class="ttc" id="classMessage_html_ac9e7b0ec82d4c408ced91f34e44b3e8d"><div class="ttname"><a href="classMessage.html#ac9e7b0ec82d4c408ced91f34e44b3e8d">Message::getSender</a></div><div class="ttdeci">ID_TYPE &amp; getSender()</div><div class="ttdoc">returns the sender vertex </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:92</div></div>
<div class="ttc" id="classMessage_html_ae23c04781f95e7c740d89861ebbca56d"><div class="ttname"><a href="classMessage.html#ae23c04781f95e7c740d89861ebbca56d">Message::unpack</a></div><div class="ttdeci">uint_fast32_t unpack(uint8_t *buf)</div><div class="ttdoc">unpack a packed message to get the message </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:243</div></div>
<div class="ttc" id="classMessage_html_a357e66838738d2e656066406920a0262"><div class="ttname"><a href="classMessage.html#a357e66838738d2e656066406920a0262">Message::pack</a></div><div class="ttdeci">uint_fast32_t pack(uint8_t *buf)</div><div class="ttdoc">pack the content of the message to a uint8_t buffer. It is organized as : rcvr, sender, content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:223</div></div>
<div class="ttc" id="classMessage_html_a57f18c305ece6cd53c0c02e08309a546"><div class="ttname"><a href="classMessage.html#a57f18c305ece6cd53c0c02e08309a546">Message::getContent</a></div><div class="ttdeci">DATA_TYPE &amp; getContent()</div><div class="ttdoc">returns the message content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:116</div></div>
<div class="ttc" id="classMessage_html_a2ed0c8d3abb07af98fd67362fffaacec"><div class="ttname"><a href="classMessage.html#a2ed0c8d3abb07af98fd67362fffaacec">Message::sizeInBytes</a></div><div class="ttdeci">uint_fast32_t sizeInBytes()</div><div class="ttdoc">returns message size in bytes </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:260</div></div>
<div class="ttc" id="classMessage_html_a3ddf04f2e6372501e0077170387d1723"><div class="ttname"><a href="classMessage.html#a3ddf04f2e6372501e0077170387d1723">Message::sumContent</a></div><div class="ttdeci">void sumContent(DATA_TYPE &amp;newContent)</div><div class="ttdoc">sum new content to the current message content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:172</div></div>
<div class="ttc" id="classMessage_html_a6356c7503304f26b38f819f64b10fbbb"><div class="ttname"><a href="classMessage.html#a6356c7503304f26b38f819f64b10fbbb">Message::minContent</a></div><div class="ttdeci">void minContent(CMessages &amp;newMessage)</div><div class="ttdoc">copy a new message content if its value is smaller than the current message content ...</div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:203</div></div>
<div class="ttc" id="classMessage_html_a7f00f7cf0526458792330a60979db9f1"><div class="ttname"><a href="classMessage.html#a7f00f7cf0526458792330a60979db9f1">Message::Message</a></div><div class="ttdeci">Message()</div><div class="ttdoc">empty constructor </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:55</div></div>
<div class="ttc" id="classMessage_html_a38d01ce6162b8e6ecf2dab14f0d72e5b"><div class="ttname"><a href="classMessage.html#a38d01ce6162b8e6ecf2dab14f0d72e5b">Message::sender</a></div><div class="ttdeci">ID_TYPE sender</div><div class="ttdef"><b>Definition:</b> tiglAPIMessage.hpp:77</div></div>
<div class="ttc" id="tiglImplementationMessage_8hpp_html"><div class="ttname"><a href="tiglImplementationMessage_8hpp.html">tiglImplementationMessage.hpp</a></div></div>
<div class="ttc" id="classMessage_html_a1e01d44a1fcd11eeeeb2166b8f772708"><div class="ttname"><a href="classMessage.html#a1e01d44a1fcd11eeeeb2166b8f772708">Message::rcvr</a></div><div class="ttdeci">ID_TYPE rcvr</div><div class="ttdef"><b>Definition:</b> tiglAPIMessage.hpp:79</div></div>
<div class="ttc" id="classMessage_html_ab7355583d37391bd699f3fca47073281"><div class="ttname"><a href="classMessage.html#ab7355583d37391bd699f3fca47073281">Message::setContent</a></div><div class="ttdeci">void setContent(DATA_TYPE &amp;newContent)</div><div class="ttdoc">set the message content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:160</div></div>
<div class="ttc" id="classMessage_html_a03cd1893fc75256c319cba7d850f0dcd"><div class="ttname"><a href="classMessage.html#a03cd1893fc75256c319cba7d850f0dcd">Message::setMessage</a></div><div class="ttdeci">void setMessage(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</div><div class="ttdoc">preparing the full message fields </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:131</div></div>
<div class="ttc" id="classMessage_html_ac8f4ffba278ab0e5d29820dc82872d6a"><div class="ttname"><a href="classMessage.html#ac8f4ffba278ab0e5d29820dc82872d6a">Message::getRcvr</a></div><div class="ttdeci">ID_TYPE &amp; getRcvr()</div><div class="ttdoc">returns the destination vertex </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:104</div></div>
<div class="ttc" id="classMessage_html_a7998fabc85b28edae541ca123b293e40"><div class="ttname"><a href="classMessage.html#a7998fabc85b28edae541ca123b293e40">Message::~Message</a></div><div class="ttdeci">~Message()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:81</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Feb 25 2015 13:02:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
